E-MailRelay

Public Attributes | List of all members
GNet::AcceptPair Class Reference

A class which is used to return a new()ed socket to calling code, together with associated address information. More...

`#include <gsocket.h>`

## Public Attributes
std::shared_ptr< StreamSocket > | socket_ptr
Address | address

## Detailed Description

A class which is used to return a new()ed socket to calling code, together with associated address information.

Definition at line 299 of file gsocket.h.

## Constructor & Destructor Documentation

## ◆ AcceptPair()

GNet::AcceptPair::AcceptPair | ( |  | ) |
| inline

Definition at line 304 of file gsocket.h.

## Member Data Documentation

## ◆ address

Address GNet::AcceptPair::address

Definition at line 303 of file gsocket.h.

## ◆ socket_ptr

std::shared_ptr<StreamSocket> GNet::AcceptPair::socket_ptr

Definition at line 302 of file gsocket.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gsocket.h